require 'acceptance_helpers'
require 'shared/contexts'

resource 'Statistics' do
  before { 12.times { create(:learning_object) } }

	explanation "Statistics about the system usage (total number of published learning objects, 
								number of learning objects published in a month and number of learning objects downloaded in a month)"

  let(:learning_objects) { LearningObject.all }

  get '/v1/statistics' do

    before do
      create(:download, user: @user, downloadable: learning_objects.first)
    end

    example 'Showing plataform statistics' do
      do_request
      expect(status).to eq(200)
    end
  end

end
